package com.zhyc.module.stock.mapper;

import java.util.List;
import com.zhyc.module.stock.domain.WzStockOut;
import org.apache.ibatis.annotations.Mapper;

/**
 * 出库记录Mapper接口
 * 
 * @author HashMap
 * @date 2025-08-05
 */
@Mapper
public interface WzStockOutMapper 
{
    /**
     * 查询出库记录
     * 
     * @param stockOutCode 出库记录主键
     * @return 出库记录
     */
    WzStockOut selectWzStockOutByStockOutCode(Long stockOutCode);

    /**
     * 查询出库记录列表
     * 
     * @param wzStockOut 出库记录
     * @return 出库记录集合
     */
    List<WzStockOut> selectWzStockOutList(WzStockOut wzStockOut);

    /**
     * 新增出库记录
     * 
     * @param wzStockOut 出库记录
     * @return 结果
     */
    int insertWzStockOut(WzStockOut wzStockOut);

    /**
     * 修改出库记录
     * 
     * @param wzStockOut 出库记录
     * @return 结果
     */
    int updateWzStockOut(WzStockOut wzStockOut);

    /**
     * 删除出库记录
     * 
     * @param stockOutCode 出库记录主键
     * @return 结果
     */
    int deleteWzStockOutByStockOutCode(Long stockOutCode);

    /**
     * 批量删除出库记录
     * 
     * @param stockOutCodes 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWzStockOutByStockOutCodes(Long[] stockOutCodes);

    /**
     * 查询最近的记录
     *
     * @return 结果
     */
    WzStockOut getEarliestStockOut();
}
